body {
    height: 100%;
    font-size:14px;
    /*font-family: 'Roboto Condensed';*/
    font-family: 'Roboto Condensed', sans-serif;
}

h3 {
    border-bottom:2px solid #0f0f0f;
    padding-bottom: 5px;
    margin-bottom:20px;
}

.title-home-page {
    color: white;
    border-bottom: 2px solid white;
    padding-bottom: 5px;
    margin-bottom: 20px;
}

a {
    color: #c55;
    text-decoration: none;
}
a:hover {
    color: red;
    text-decoration: none;
}
.clear {
    clear: both;
}
.label {
    margin-right:5px;
}
.highlight {
    color:red;
    font-weight: 700;
}
.login-form {
    width: 340px;
    margin: 50px auto;
}
.login-form form {
    margin-bottom: 15px;
    background: #f7f7f7;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
    padding: 30px;
}
.login-form h2 {
    margin: 0 0 15px;
}
.form-control, .btn {
    min-height: 38px;
    border-radius: 2px;
}
.btn {
    font-size: 15px;
    font-weight: bold;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap > .container {
    padding: 70px 15px 20px;

}
.wrap .container {
    width:90%;
}

.footer {
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding:5px 0px 0px 0px;

    background-color: #1b1b1b;
    background-image: -moz-linear-gradient(top, #222222, #111111);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#222222), to(#111111));
    background-image: -webkit-linear-gradient(top, #222222, #111111);
    background-image: -o-linear-gradient(top, #222222, #111111);
    background-image: linear-gradient(to bottom, #222222, #111111);
    background-repeat: repeat-x;
    border-color: #252525;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff222222', endColorstr='#ff111111', GradientType=0);

    color:#FFFFFF;
}


.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}


/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
    background-color:#0b3e6f;
    color:#FFFFFF;
}
.grid-view th a {
    color:#FFFFFF;
}


.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding: 15px;
    border: none;
}

@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 15px;
    }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
}

.nav > li > form > button.logout:focus {
    outline: none;
}


.bs-callout {
    padding: 20px;
    margin: 20px 0;
    border: 1px solid #eee;
    border-left-width: 5px;
    border-radius: 3px;
    background-color:#FFFFFF;
}
.bs-callout h4 {
    margin-top: 0;
    margin-bottom: 5px;
}
.bs-callout p:last-child {
    margin-bottom: 0;
}
.bs-callout code {
    border-radius: 3px;
}
.bs-callout+.bs-callout {
    margin-top: -5px;
}
.bs-callout-default {
    border-left-color: #777;
}
.bs-callout-default h4 {
    color: #777;
}
.bs-callout-primary {
    border-left-color: #428bca;
}
.bs-callout-primary h4 {
    color: #428bca;
}
.bs-callout-success {
    border-left-color: #5cb85c;
}
.bs-callout-success h4 {
    color: #5cb85c;
}
.bs-callout-danger {
    border-left-color: #d9534f;
}
.bs-callout-danger h4 {
    color: #d9534f;
}
.bs-callout-warning {
    border-left-color: #f0ad4e;
}
.bs-callout-warning h4 {
    color: #f0ad4e;
}
.bs-callout-info {
    border-left-color: #5bc0de;
}
.bs-callout-info h4 {
    color: #5bc0de;
}

.action-block {
    width:150px;
    float:left;
    border: #0f0f0f 2px solid;
    border-radius: 5px;
    padding:20px 20px 10px 20px;
    margin:10px;
    background:#FFFFFF;
}
.action-block img {
    width:100%;

}
.action-block h4 {
    width: 100%;
    font-size: 11px;
    font-weight: 700;
    color: #FFFFFF;
    background-color: #000000;
    border-radius: 6px;
    text-align: center;
    padding: 5px;
    margin-top: 5px;
}
.action-block:hover {
    text-decoration: none;
    opacity: 0.8;
}

/* The slow way */
.make-it-slow {
    box-shadow: 0 1px 2px rgba(0,0,0,0.15);
    transition: box-shadow 0.3s ease-in-out;
    transition: opacity 0.3s ease-in-out;
}

/* Transition to a bigger shadow on hover */
.make-it-slow:hover {
    box-shadow: 0 5px 15px rgba(0,0,0,0.3);
    transition: opacity 0.3s ease-in-out;
    opacity: 0.9;
}

/* The fast way */
.make-it-fast {
    box-shadow: 0 1px 2px rgba(0,0,0,0.15);
}

/* Pre-render the bigger shadow, but hide it */
.make-it-fast::after {
    box-shadow: 0 5px 15px rgba(0,0,0,0.3);
    opacity: 0;
    transition: opacity 0.3s ease-in-out;
}

/* Transition to showing the bigger shadow on hover */
.make-it-fast:hover::after {
    opacity: 1;
}

.table-form td {
    padding:1em 0 0 2em;
}


@keyframes fade {
    from { opacity: 1.0; }
    50% { opacity: 0.5; }
    to { opacity: 1.0; }
}

@-webkit-keyframes fade {
    from { opacity: 1.0; }
    50% { opacity: 0.5; }
    to { opacity: 1.0; }
}

.blink {
    animation:fade 1000ms infinite;
    -webkit-animation:fade 1000ms infinite;
}





/**
RCAS System
 */

.rcas-student-count{
    padding: 4px;
    float: right;
    margin-top: 6px;
}
.rcas-branch-title {
    font-size:30px;
    float:left;
    width:100%;
    background-color:#0c5460;
    color:#FFFFFF;
    margin:45px 0px 10px 0px;
    padding:5px 0px 5px 10px;

}
.rcas-level-title {
    font-size:20px;
    float:left;
    width:100%;
    background-color:#f92222;
    color:#FFFFFF;
    margin:20px 0px 10px 0px;
    padding:5px 0px 5px 10px;

}


.active-lesson-number-block,
.inactive-lesson-number-block,
.arranged-lesson-number-block,
.count-not-learned-lesson-block,
.current-lesson-number-block,
.new-package-number-block,
.upgrade-package-number-block,
.delta-block {
    padding:2px 3px 1px 3px;
    /*padding:1px 2px 0px 2px;*/
    font-size:10px;
    margin:1px;
    float:left;
    border-radius: 5px;
}

.count-not-learned-lesson-block {
    background-color: #0a0a0a;
    color:#FFFFFF;
}
.active-lesson-number-block {
    background-color: #777;
    color:#FFFFFF;
}
.inactive-lesson-number-block {
    background-color: #5cb85c;
    color:#FFFFFF;
}
.arranged-lesson-number-block {
    background-color: #ff8080;
    color:#FFFFFF;
}
.new-package-number-block {
    background-color: #5cb85c;
    color:#FFFFFF;
    float: initial !important;
}
.upgrade-package-number-block {
    background-color: rgb(9, 156, 241);
    color:#FFFFFF;
    float: initial !important;
}
.current-lesson-number-block {
    background-color: #d9534f;
    color:#FFFFFF;
    /*border:1px solid red;*/
    /*padding:1px 2px 0px 2px;*/
}
.rcas-study-level-title {
    font-size:20px;
    font-weight: 700;
    float:left;
    width:100%;
    border-left: 10px solid #0a73bb;
    padding:5px 0px 0px 10px;
    margin:0px 0px 0px 0px;
}
.rcas-study-level-title input {
    margin-bottom: 0px;
    padding: 2px 8px 0px 8px;
    border-left: 5px solid #0a73bb;
    font-size: 15px;
    vertical-align: text-bottom;
    width: 50%;
}
.rcas-teacher {
    padding-top: 5px;
    /* vertical-align: super; */
    margin-right: 30px;
    float: left;
    width: 35%;
}
table.rcas-table {
    /*margin-left:10px;*/
    margin-bottom:50px;
}
.rcas-table th {
    background-color: #0a73bb;
    color:#FFFFFF;
    font-weight: bold;
}

.pointer {cursor: pointer;}


.modalLoading {
    display: none;
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;    
    background: rgba( 255, 255, 255, .8 ) url("/images/icon/ajax-loader.gif") 50% 50% no-repeat;
}

body.loading .modalLoading {
    overflow: hidden;
}

body.loading .modalLoading {
    display: block;
}
.centraltable {
    text-align: center;
    vertical-align: middle !important;
}


/**
BI tables
 */
.table-dark tbody tr td, .table-dark tbody tr th {
    border-top:1px solid #454d55;
}
#bi-table .bi-data-change {
    font-size:10px;
}
#bi-table .bi-data-change.positive{

    color:lawngreen;
}
#bi-table .bi-data-change.negative{
    color:indianred;
}
#bi-table .bi-count-student {
    font-size:14px;
}
#bi-table .bi-count-student.new {
    color:lawngreen;
}
#bi-table .bi-count-student.upgrade {
    color:rgb(9, 156, 241);
}
#bi-table .bi-count-lesson {
    font-size:10px;
}
#bi-table .bi-count-lesson img {
    height:10px;
}
.table > thead > tr > th, .table > tbody > tr > th, .table > tfoot > tr > th, .table > thead > tr > td, .table > tbody > tr > td, .table > tfoot > tr > td {
    padding:5px;
}
.fade {
    opacity: 0.9 !important;
}
.modal-content {
    margin-top: 100px !important;
}
.fc-day-grid-event .fc-content {
    white-space: pre-wrap !important;
}
.fc-event {
    font-size: 15px !important;
}

@media (min-width: 1200px) {
    .modal-xlg {
        max-width: 90% !important; 
        width: 90% !important;
    }
 }


